# -*- coding: utf-8 -*-

# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2023 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

"""
This module contains a class for applying CDN Advice
"""
import logging

from xray import gettext as _
from .wpos_base import WPOSModuleApply

logger = logging.getLogger('cdn_advice')


class CDNAdvice(WPOSModuleApply):
    """CDN advice"""

    short_description = _("Turn on CDN feature")
    detailed_description = _("Website load times for many of your "
                             "global site visitors can be drastically improved "
                             "by enabling the CDN (Content Delivery Network).\n"
                             "Note: Applying the current advice will also enable the AccelerateWP feature.")
    apply_advice_button_text = None
    upgrade_to_apply_button_text = None
    email_view_advice_text = None
    email_subject = None
    module_name = 'cdn'
    is_premium_feature = False
    suite = 'accelerate_wp_cdn'
