# -*- coding: utf-8 -*-

# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2023 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

"""
This module contains a class for applying Image Optimization Advice
"""
import logging

from xray import gettext as _
from .wpos_base import WPOSModuleApply

logger = logging.getLogger('imgopt_advice')


class ImgOptAdvice(WPOSModuleApply):
    """Image Optimization advice"""

    short_description = _("Turn on Image Optimization")
    detailed_description = _("Website load times and the speed score "
                             "for many of your site visitors can be improved "
                             "by enabling the Image Optimization.\n"
                             "Note: Applying the current advice will also enable the AccelerateWP feature.")
    apply_advice_button_text = None
    upgrade_to_apply_button_text = None
    email_view_advice_text = None
    email_subject = None
    module_name = 'image_optimization'
    is_premium_feature = True
    suite = 'accelerate_wp_premium'
