# -*- coding: utf-8 -*-

# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2021 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

"""
This module contains a class for applying ROC Advice
"""
import logging

from xray import gettext as _
from .wpos_base import WPOSModuleApply

logger = logging.getLogger('roc_advice')


class ROCAdvice(WPOSModuleApply):
    """Object Cache advice"""

    short_description = _("Turn on Object Caching")
    detailed_description = _("To improve site performance, enable Object Caching "
                             "to cache objects that page caching cannot and "
                             "stores database query results for faster delivery. "
                             "We recommend applying the advice for the most valuable URLs of your site.")
    apply_advice_button_text = None
    upgrade_to_apply_button_text = None
    email_view_advice_text = None
    email_subject = None
    module_name = 'object_cache'
    is_premium_feature = True
    suite = 'accelerate_wp_premium'
