#!/bin/bash
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2021 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

# RPM post script, no arguments
# Note: Also called from Debian postinst scriptlet
# "$1" == "configure" - RPM post/posttrans
# "$1" == "abort-upgrade" - upgrade package error
# "$1" == "abort-remove" - remove package error

# $2: The version of the package being upgraded from. If empty, it indicates a fresh installation (not an upgrade).

# "alt-php-ssa POST INSTALL STARTED"

# fresh install, not upgrade
if [[  "$1" == 1 || -z "$2" ]]; then
     /bin/systemctl enable xray-agent >/dev/null 2>&1 || :
fi

# Add mount point for xray tasks
if [ -e /etc/cagefs/cagefs.mp ] && [ -e /usr/sbin/cagefsctl ]; then
    # Add new line if needed
    /usr/sbin/cagefsctl --check-mp
    # Add xray tasks mount if needed
    if ! grep '*/usr/share/alt-php-xray-tasks' /etc/cagefs/cagefs.mp >/dev/null 2>&1; then
        echo "*/usr/share/alt-php-xray-tasks" >> /etc/cagefs/cagefs.mp
        /usr/sbin/cagefsctl --remount-all >/dev/null 2>&1 || :
    fi
fi

# "alt-php-ssa POST INSTALL FINISHED"