#!/bin/bash
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2021 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

# RPM:
# $1 == 1 -- upgrade
# $1 == 0 -- uninstall

# DEB:
# $1 == remove/upgrade

# "alt-php-ssa PRE UNINSTALL STARTED"

if [[ "$1" == 0 || $1 == "remove" ]]; then
    # Stop all tasks and clear ini files
    cloudlinux-xray-migrate --stop --force >/dev/null 2>&1 || :
    # Remove xray.so for DirectAdmin on uninstall
    if [ -e /usr/local/directadmin/custombuild/build ]; then
        /usr/share/alt-php-xray/da_rm_xray >/dev/null 2>&1 || :
    fi
    # remove cron files created manually
    rm -f /etc/cron.d/xray_wp_plugin_install
    rm -f /etc/cron.d/xray_update_advices_metadata
    # uninstall of the hooks
    /usr/share/cloudlinux/xray/xray_hooks.py --uninstall >/dev/null 2>&1
fi

# "alt-php-ssa PRE UNINSTALL FINISHED"